GNU bug report logs - #27514
25.2; xwidget segmentation fault

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Guillaume Malzac <gmalzac@HIDDEN>; merged with #26186, #26787; dated Wed, 28 Jun 2017 08:00:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 26186 26787 27514. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jun 2017 07:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 28 03:59:49 2017
Received: from localhost ([127.0.0.1]:41528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dQ7t7-0004yA-0p
	for submit <at> debbugs.gnu.org; Wed, 28 Jun 2017 03:59:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55337)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gmalzac@HIDDEN>) id 1dQ6vZ-0003ai-Sm
 for submit <at> debbugs.gnu.org; Wed, 28 Jun 2017 02:58:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gmalzac@HIDDEN>) id 1dQ6vT-0002Hf-DM
 for submit <at> debbugs.gnu.org; Wed, 28 Jun 2017 02:58:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51070)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gmalzac@HIDDEN>) id 1dQ6vT-0002HS-Ap
 for submit <at> debbugs.gnu.org; Wed, 28 Jun 2017 02:58:11 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46293)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gmalzac@HIDDEN>) id 1dQ6vR-00024m-NK
 for bug-gnu-emacs@HIDDEN; Wed, 28 Jun 2017 02:58:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gmalzac@HIDDEN>) id 1dQ6vO-0002Da-KP
 for bug-gnu-emacs@HIDDEN; Wed, 28 Jun 2017 02:58:09 -0400
Received: from smtp03.smtpout.orange.fr ([80.12.242.125]:43558
 helo=smtp.smtpout.orange.fr)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <gmalzac@HIDDEN>) id 1dQ6vO-0002Ar-3x
 for bug-gnu-emacs@HIDDEN; Wed, 28 Jun 2017 02:58:06 -0400
Received: from [192.168.1.95] ([109.26.20.10]) by mwinf5d50 with ME
 id e6y21v00Y0D2pLl036y206; Wed, 28 Jun 2017 08:58:03 +0200
X-ME-Helo: [192.168.1.95]
X-ME-Auth: Z21hbHphY0BvcmFuZ2UuZnI=
X-ME-Date: Wed, 28 Jun 2017 08:58:03 +0200
X-ME-IP: 109.26.20.10
To: bug-gnu-emacs@HIDDEN
From: Guillaume Malzac <gmalzac@HIDDEN>
Subject: 25.2; xwidget segmentation fault
Message-ID: <562c671c-65c6-e176-13fc-68bfbc4bd6a3@HIDDEN>
Date: Wed, 28 Jun 2017 08:58:02 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: fr-LU
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 28 Jun 2017 03:59:48 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

When I use the function `xwidget-webkit-browse-url`, emacs close with
the following errors (my system don't tell me about an error, without a
terminal it seems that emacs close normaly) :

Fatal error 11: Segmentation fault
Backtrace:
emacs[0x5014c7]
emacs[0x501535]
/usr/lib/libpthread.so.0(+0x11940)[0x7f62a6640940]
/usr/lib/libc.so.6(malloc_usable_size+0x50)[0x7f62a60d9b30]
/usr/lib/libsqlite3.so.0(+0x8bf19)[0x7f629fad9f19]
/usr/lib/libsqlite3.so.0(sqlite3Malloc+0x83)[0x7f629fad9513]
/usr/lib/libsqlite3.so.0(sqlite3OsInit+0xe)[0x7f629fadb29e]
/usr/lib/libsqlite3.so.0(sqlite3_initialize+0xee)[0x7f629fad53be]
/usr/lib/libsqlite3.so.0(+0x89e39)[0x7f629fad7e39]
/usr/lib/libwebkitgtk-3.0.so.0(+0x13a04e8)[0x7f62aad894e8]
/usr/lib/libwebkitgtk-3.0.so.0(+0x139ea59)[0x7f62aad87a59]
/usr/lib/libwebkitgtk-3.0.so.0(+0xb34930)[0x7f62aa51d930]
/usr/lib/libjavascriptcoregtk-3.0.so.0(+0x5d68da)[0x7f62a93e58da]
/usr/lib/libpthread.so.0(+0x7297)[0x7f62a6636297]
/usr/lib/libc.so.6(clone+0x3f)[0x7f62a614925f]
Erreur de segmentation (core dumped)

I try both with and without my configuration files.



In GNU Emacs 25.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.22.16)
  of 2017-06-28 built on arch-T410
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
Configured using:
  'configure --with-xwidgets'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XWIDGETS

Important settings:
   value of $LANG: fr_FR.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Dired by name

Minor modes in effect:
   diff-auto-refine-mode: t
   TeX-PDF-mode: t
   TeX-source-correlate-mode: t
   global-hl-line-mode: t
   indent-guide-global-mode: t
   global-linum-mode: t
   linum-mode: t
   tabbar-mwheel-mode: t
   tabbar-mode: t
   yas-global-mode: t
   yas-minor-mode: t
   pdf-occur-dired-minor-mode: t
   pdf-occur-global-minor-mode: t
   ido-yes-or-no-mode: t
   autopair-global-mode: t
   show-paren-mode: t
   global-auto-complete-mode: t
   global-undo-tree-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
Loading /home/guillaume/.emacs.d/configuration/prog-mode/scilab.el 
(source)...
Loading /home/guillaume/.emacs.d/elpa/scilab/scilab-startup.el (source)...
Mark set
Loading /home/guillaume/.emacs.d/elpa/scilab/scilab-startup.el 
(source)...done
Loading /home/guillaume/.emacs.d/configuration/prog-mode/scilab.el 
(source)...done
Loading /home/guillaume/.emacs.d/configuration/conf-dired.el (source)...done
Loading /home/guillaume/.emacs.d/configuration/conf-neotree.el 
(source)...done
Loading /home/guillaume/.emacs.d/configuration/conf-xwidget.el 
(source)...done
Loading /home/guillaume/.emacs.d/configuration/header.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
/home/guillaume/.emacs.d/elpa/seq-2.20/seq hides 
/usr/local/share/emacs/25.2/lisp/emacs-lisp/seq

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec epg gnus-util
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util help-fns
mail-prsvr mail-utils ido-completing-read+ smex vc-git diff-mode
rainbow-delimiters highlight-symbol thingatpt ac-php ac-php-core
ac-php-comm-tags-data f dash s json map web-mode disp-table tex-buf
latex tex-ispell tex-style tex dbus xml crm ac-math math-symbol-lists
powerline powerline-separators color caml tuareg_indent tuareg speedbar
sb-image ezimage dframe smie ocp-indent merlin-compat merlin-cap
merlin-ac merlin cl hl-line indent-guide powerline-themes linum tabbar
easy-mmode wombat-theme yasnippet flymake pdf-occur ibuf-ext ibuffer
tablist tablist-filter semantic/wisent/comp semantic/wisent
semantic/wisent/wisent semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw eieio eieio-core mode-local
find-func cedet dired pdf-isearch let-alist pdf-misc imenu pdf-tools
compile comint ansi-color ring cus-edit cus-start cus-load wid-edit
pdf-view password-cache bookmark pp jka-compr pdf-cache pdf-info tq
pdf-util format-spec image-mode ido-yes-or-no ido cl-seq autopair paren
auto-complete-config auto-complete edmacro kmacro cl-macs popup
undo-tree diff finder-inf ace-jump-mode-autoloads alpha-autoloads
tex-site color-theme-autoloads advice info package epg-config seq
byte-opt gv bytecomp byte-compile cl-extra help-mode easymenu cconv
cl-loaddefs pcase cl-lib time-date mule-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting system-font-setting font-render-setting
xwidget-internal move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 433808 11608)
  (symbols 48 42026 0)
  (miscs 40 357 369)
  (strings 32 152778 15335)
  (string-bytes 1 3131914)
  (vectors 16 37793)
  (vector-slots 8 832859 2796)
  (floats 8 517 150)
  (intervals 56 392 0)
  (buffers 976 19))





Acknowledgement sent to Guillaume Malzac <gmalzac@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27514; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 28 Jun 2017 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.